NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.TrimCurveBuilder Class Reference

Represents a NXOpen.Features.TrimCurve builder More...

Inheritance diagram for NXOpen.Features.TrimCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CurveEndOptions { Start, End }
 Represents the trim curve end options More...
 
enum  CurveExtensionTypes { Natural, Linear, Circular, None }
 Represents the trim curve extension types More...
 
enum  CurveTrimRegionOptions { Inside, Outside }
 Represents the trim curve trim region options More...
 
enum  FirstBoundingObjectEndOptions { Start, End }
 Represents the trim curve first bounding object end options More...
 
enum  FirstBoundingObjectOptions { SelectObject, SpecifyPlane }
 Represents the trim curve first bounding object options More...
 
enum  InteresectionDirectionOptions { Shortest3dDistance, RelativeToWcs, AlongAVector, AlongScreenNormal }
 Represents the trim curve interesection direction options More...
 
enum  InteresectionMethods { Inferred, UserDefined }
 Represents the trim curve interesection methods More...
 
enum  SecondBoundingObjectEndOptions { Start, End }
 Represents the trim curve second bounding object end options More...
 
enum  SecondBoundingObjectOptions { SelectObject, SpecifyPlane }
 Represents the trim curve second bounding object options More...
 

Properties

unsafe
NXOpen.Features.TrimCurveBuilder.CurveEndOptions 
CurveEndOption [get, set]
 Returns or sets the end of the curve that would be trimmed More...
 
unsafe
NXOpen.Features.TrimCurveBuilder.CurveExtensionTypes 
CurveExtensionType [get, set]
 Returns or sets the shape of the extension, if the curve to be trimmed is to be extended to its bounding object(s) More...
 
unsafe NXOpen.SelectObjectList CurveList [get]
 Returns the list of curves with the pick points More...
 
unsafe
NXOpen.GeometricUtilities.CurveOptions 
CurveOptions [get]
 Returns the Curve Options More...
 
unsafe NXOpen.Section CurvesToTrim [get]
 Returns the curves to trim More...
 
unsafe
NXOpen.Features.TrimCurveBuilder.CurveTrimRegionOptions 
CurveTrimRegionOption [get, set]
 Returns or sets the portion of the curves to be trimmed More...
 
unsafe NXOpen.SelectObjectList FirstBoundingObject [get]
 Returns the objects for the first boundary against which the selected curves are to be trimmed. More...
 
unsafe
NXOpen.Features.TrimCurveBuilder.FirstBoundingObjectEndOptions 
FirstBoundingObjectEndOption [get, set]
 Returns or sets the end of the first bounding object which would be trimmed More...
 
unsafe
NXOpen.Features.TrimCurveBuilder.FirstBoundingObjectOptions 
FirstBoundingObjectOption [get, set]
 Returns or sets the first bounding object option More...
 
unsafe NXOpen.Point3d FirstBoundingObjectPickPoint [get, set]
 Returns or sets the pick point for the first bounding object More...
 
unsafe NXOpen.Plane FirstBoundingPlane [get, set]
 Returns or sets the first bounding object plane More...
 
unsafe NXOpen.SelectPoint FirstReferenceIntersection [get]
 Returns the first user defined intersection point. More...
 
unsafe
NXOpen.Features.TrimCurveBuilder.InteresectionDirectionOptions 
InteresectionDirectionOption [get, set]
 Returns or sets the method the system uses to find object intersections More...
 
unsafe
NXOpen.Features.TrimCurveBuilder.InteresectionMethods 
InteresectionMethod [get, set]
 Returns or sets the method to be used to determine the intersections More...
 
unsafe NXOpen.Direction InteresectionOptionVector [get, set]
 Returns or sets the vector direction for the trim operation More...
 
unsafe NXOpen.SelectObjectList ReverseTrimEnd [get]
 Returns the curves the end to trim needs to be reversed More...
 
unsafe NXOpen.SelectObjectList SecondBoundingObject [get]
 Returns the objects for the second boundary against which the selected curves are to be trimmed. More...
 
unsafe
NXOpen.Features.TrimCurveBuilder.SecondBoundingObjectEndOptions 
SecondBoundingObjectEndOption [get, set]
 Returns or sets the end of the second bounding object which would be trimmed More...
 
unsafe
NXOpen.Features.TrimCurveBuilder.SecondBoundingObjectOptions 
SecondBoundingObjectOption [get, set]
 Returns or sets the second bounding object option More...
 
unsafe NXOpen.Point3d SecondBoundingObjectPickPoint [get, set]
 Returns or sets the pick point for the second bounding object More...
 
unsafe NXOpen.Plane SecondBoundingPlane [get, set]
 Returns or sets the first bounding object plane More...
 
unsafe NXOpen.SelectPoint SecondReferenceIntersection [get]
 Returns the second user defined intersection point. More...
 
unsafe bool TrimBoundingObjects [get, set]
 Returns or sets the option whether bounding objects are to be trimmed More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.TrimCurve builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateTrimCurveBuilder

Default values.

Property Value

CurveEndOption

Start

CurveExtensionType

Natural

CurveOptions.Associative

True

CurveTrimRegionOption

Inside

FirstBoundingObjectEndOption

Start

FirstBoundingObjectOption

SelectObject

InteresectionDirectionOption

RelativeToWcs

InteresectionMethod

Inferred

SecondBoundingObjectEndOption

Start

SecondBoundingObjectOption

SelectObject

Created in NX5.0.0

Member Enumeration Documentation

Represents the trim curve end options

Enumerator
Start 

Trim curve from start

End 

Trim curve from end

Represents the trim curve extension types

Enumerator
Natural 

Natural

Linear 

Linear

Circular 

Circular

None 

None

Represents the trim curve trim region options

Enumerator
Inside 

Inside

Outside 

Outside

Represents the trim curve first bounding object end options

Enumerator
Start 

Trim first bounding object from start

End 

Trim first bounding object from end

Represents the trim curve first bounding object options

Enumerator
SelectObject 

Select object

SpecifyPlane 

Define plane

Represents the trim curve interesection direction options

Enumerator
Shortest3dDistance 

Shortest 3d distance

RelativeToWcs 

Relative to WCS

AlongAVector 

Along a vector

AlongScreenNormal 

Along screen normal

Represents the trim curve interesection methods

Enumerator
Inferred 

Inferred

UserDefined 

User defined

Represents the trim curve second bounding object end options

Enumerator
Start 

Trim second ounding object from start

End 

Trim second bounding object from end

Represents the trim curve second bounding object options

Enumerator
SelectObject 

Select object

SpecifyPlane 

Define plane

Property Documentation

unsafe NXOpen.Features.TrimCurveBuilder.CurveEndOptions NXOpen.Features.TrimCurveBuilder.CurveEndOption
getset

Returns or sets the end of the curve that would be trimmed

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.TrimCurveBuilder.CurveExtensionTypes NXOpen.Features.TrimCurveBuilder.CurveExtensionType
getset

Returns or sets the shape of the extension, if the curve to be trimmed is to be extended to its bounding object(s)

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectObjectList NXOpen.Features.TrimCurveBuilder.CurveList
get

Returns the list of curves with the pick points

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveOptions NXOpen.Features.TrimCurveBuilder.CurveOptions
get

Returns the Curve Options

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.TrimCurveBuilder.CurvesToTrim
get

Returns the curves to trim

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.TrimCurveBuilder.CurveTrimRegionOptions NXOpen.Features.TrimCurveBuilder.CurveTrimRegionOption
getset

Returns or sets the portion of the curves to be trimmed

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectObjectList NXOpen.Features.TrimCurveBuilder.FirstBoundingObject
get

Returns the objects for the first boundary against which the selected curves are to be trimmed.

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.TrimCurveBuilder.FirstBoundingObjectEndOptions NXOpen.Features.TrimCurveBuilder.FirstBoundingObjectEndOption
getset

Returns or sets the end of the first bounding object which would be trimmed

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.TrimCurveBuilder.FirstBoundingObjectOptions NXOpen.Features.TrimCurveBuilder.FirstBoundingObjectOption
getset

Returns or sets the first bounding object option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point3d NXOpen.Features.TrimCurveBuilder.FirstBoundingObjectPickPoint
getset

Returns or sets the pick point for the first bounding object

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Plane NXOpen.Features.TrimCurveBuilder.FirstBoundingPlane
getset

Returns or sets the first bounding object plane

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectPoint NXOpen.Features.TrimCurveBuilder.FirstReferenceIntersection
get

Returns the first user defined intersection point.

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.TrimCurveBuilder.InteresectionDirectionOptions NXOpen.Features.TrimCurveBuilder.InteresectionDirectionOption
getset

Returns or sets the method the system uses to find object intersections

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.TrimCurveBuilder.InteresectionMethods NXOpen.Features.TrimCurveBuilder.InteresectionMethod
getset

Returns or sets the method to be used to determine the intersections

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Direction NXOpen.Features.TrimCurveBuilder.InteresectionOptionVector
getset

Returns or sets the vector direction for the trim operation

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectObjectList NXOpen.Features.TrimCurveBuilder.ReverseTrimEnd
get

Returns the curves the end to trim needs to be reversed

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectObjectList NXOpen.Features.TrimCurveBuilder.SecondBoundingObject
get

Returns the objects for the second boundary against which the selected curves are to be trimmed.

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.TrimCurveBuilder.SecondBoundingObjectEndOptions NXOpen.Features.TrimCurveBuilder.SecondBoundingObjectEndOption
getset

Returns or sets the end of the second bounding object which would be trimmed

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.TrimCurveBuilder.SecondBoundingObjectOptions NXOpen.Features.TrimCurveBuilder.SecondBoundingObjectOption
getset

Returns or sets the second bounding object option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point3d NXOpen.Features.TrimCurveBuilder.SecondBoundingObjectPickPoint
getset

Returns or sets the pick point for the second bounding object

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Plane NXOpen.Features.TrimCurveBuilder.SecondBoundingPlane
getset

Returns or sets the first bounding object plane

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectPoint NXOpen.Features.TrimCurveBuilder.SecondReferenceIntersection
get

Returns the second user defined intersection point.

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.Features.TrimCurveBuilder.TrimBoundingObjects
getset

Returns or sets the option whether bounding objects are to be trimmed

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.